from client import ODPSClient
import pandas as pd

table_list = [
    "alg_mid_feature_sharecf",
    "alg_vid_feature_all_share",
    "alg_vid_feature_all_return",
    "alg_vid_feature_share2return",
    "alg_vid_feature_basic_info",
    "alg_recsys_feature_cf_i2i_new",
    "alg_vid_feature_all_exp_v2",
    "alg_vid_feature_exp2share_v2",
    "alg_vid_feature_feed_noflow_exp_v2",
    "alg_vid_feature_feed_noflow_root_share_v2",
    "alg_vid_feature_feed_noflow_root_return_v2",
    "alg_vid_feature_feed_flow_exp_v2",
    "alg_vid_feature_feed_flow_root_share_v2",
    "alg_vid_feature_feed_flow_root_return_v2",
    "alg_vid_feature_feed_province_exp_v2",
    "alg_vid_feature_feed_province_root_share_v2",
    "alg_vid_feature_feed_province_root_return_v2",
    "alg_recsys_feature_cf_i2i_new_v2",
    "alg_cid_feature_basic_info",
    "alg_cid_feature_adver_action",
    "alg_cid_feature_cid_action",
    "alg_cid_feature_region_action",
    "alg_cid_feature_app_action",
    "alg_cid_feature_week_action",
    "alg_cid_feature_hour_action",
    "alg_cid_feature_brand_action",
    "alg_cid_feature_weChatVersion_action",
    "alg_cid_feature_vid_cf",
    "alg_cid_feature_vid_cf_rank",
    "alg_mid_feature_ad_action",
    "alg_mid_feature_play",
    "alg_mid_feature_share_and_return",
    "alg_mid_feature_play_tags",
    "alg_mid_feature_return_tags",
    "alg_mid_feature_share_tags",
    "alg_mid_feature_returncf",
    "alg_mid_feature_feed_exp_return_tags_v2",
    "alg_mid_feature_feed_exp_share_tags_v2"
]

odps_client = ODPSClient.ODPSClient()

cookie = "yunpk=1894469520484605; t=35f3266f9f98d4a391e691a92b49fae6; cna=8+1iHgu92GsCAT0whRrtEI4u; login_aliyunid_pk=1894469520484605; sca=2176fa73; bd=s0ouCmI%3D; copilot-session-id-dw-copilot=6e694b9e-aa2e-46fd-9ef5-77d4680755f1; _samesite_flag_=true; cookie2=1e2ab9af438ed18a85b4e68fbf4956d5; _tb_token_=e3f046f7b7bfe; aliyun_lang=zh; bs_n_lang=zh_CN; activeRegionId=cn-hangzhou; dcd-v2-theme-guide=true; ecsCustomBuyVersion=new; aliyun_site=CN; help_csrf=p3SCIjMbporATuhGv3qp9k%2FCqr03mjtwTNsBHrEQeeSvUnmnJQYAEnPUegEirRwn9o7Q%2FwanSqz%2B1NRWDjz%2FEVtkCEegDrsgKAL4xjcn4eoWRtYOJ2YTaVtxqvKznlfhK8pQ9mlXfZxrzuKeTMhr1Q%3D%3D; cr_token=c4417f90-415d-4ae7-b19d-8c92eeef3225; mini_login_aliyunid_ticket=3R5H3e3HY2c8gwLZuY5GmS7J.111Ms7DXF3nJEG6SnLx18CGwK3p2zMc6amowxGjx7t7yWeuZvCVVDa3HMwPGbvExHSsNUA7TLCevYEus24VNQkT9QuWxy62EA449VexLapDnD3KhK7BMkTdZxnwRytHEjpFN3RwSgESbBCW9snVWeG4tDGE3HoYFZ4CnohqRuU7C5oa6Etu6MtWqyXp38QBGzW1C1p9pa9pcC8mLTX4hvx2sKgfNVKyK43oR9pr44xxFw5jcTsNRDzxG6vRTydtuVamzgViMJvQNojogTMWSmS3bp6s2Pt6U.2mWNaj2SpGYUtnqdxW4g7LTSc1YT5vzP25oV4hfn4p3WNv9zEzLcWAK6fYLuhuy3Wy; login_current_pk=208811208914639646; atpsida=89d821652e1d908cbde1d08c_1729049153_2; cnaui=%2522zhaohaipeng%2520%2540%25201894469520484605%2522; aui=%2522zhaohaipeng%2520%2540%25201894469520484605%2522; currentRegionId=cn-hangzhou; ck2=a7c79a21673f0f371bf88b167447f0d4; an=zhaohaipeng; lg=true; sg=g26; login_aliyunid_csrf=_csrf_tk_1929015259855532; login_aliyunid=zhaohaipeng@1894469520484605; login_aliyunid_ticket=3R5H3e3HY2c8gwLZuY5GmS7J.1118Tx1QKR6dy5oPDi6NyJWbDj5mNxw2YipzTX5W849UhtRPe3jCFRS7cDUfqEVvJALCs858v79fTEg2mxtVWQFXU35RPyH7YXnfYhCuZ6nSYNqFtcPGeph18NGUmZ2zU2kLpUJWbZkFNrXYeUb3TG1bjvY9Lbe9juj5yU5MRzim1m68Lmt.1QDta7dZK1JcqfE7nmLQDPJBxSqrozq1u2U9iX8XVCeRcHsYS1XMYGvpVSdUWRg2c; login_aliyunid_sc=3R5H3e3HY2c8gwLZuY5GmS7K.1113jnPYF2MKDjoDaXPQWHUWMtU3CVcA3yXgFHzkT3B7UVYHcDN1imt74ZyenSoPpWkTuX.2mWNaj31hzd68ZqCjEAd48pF8papTvtBQtxQczPnZAvbcPTUXbpqLu1HYioSncT2VY; c_token=7dad7e0cb1327df74a150438e98d81a9; dw_bff=208811208914639646.%E8%B5%B5%E6%B5%B7%E9%B9%8F.42901.1729475530077.1894469520484605.1837327160.26842.OFFICIAL.0.1729648331870.zhaohaipeng.5.0b7e5fb9804596551f48b33294a5ab2c26dfa66b8; FECS-XSRF-TOKEN=eLPqOkXM; tfstk=gpG-D6ZieEQ8MMbVTM90KFIk2DLDIX3ru0u1tkqldmnxbDCHz_VudH3QmXYzxLkY9moRrT0nRknKmoluK4G39vnsrDqur7aK9DZ4qXV3qjUIxDVnE7NuJ2NriYf3q3PKRcVpjhAMs4uzaWtMjF6xSBVQRBqBslaHTmFBjhAcnZwyqWileG1VMqZ4Jz_7ODZXkyU7O_wCNtsb0yNQOJw7hta_STZCNuTxlozQOkToPHEfPkfKLMBBRo_0m61IMzeWn4ZfOrlYy8EsPbCCOwz8elg7DhxbV0eK28hDwGz-hVn4yDRNa7wKFANS9hd8GVkmVrnBX9EjBblLIbKOQuGzYcFSHn18O7ztJRDDROEmdqlYHbpG8rloRbyg1CS7xx0t9yheYIntP0H_CbsR4Nli6ScljSZPFELAL9y7un9cJaxvf7QQklYJ99WU3EzYjEpCd9sBurEMoW6FL-8V.; isg=BEpKI4LcGZBM-Jfy-wA86ChvmzbsO86VUQcOMtSDah0oh-5BucmbpRHhlfNbd0Yt"


def _main():
    dfs = []
    for table in table_list:
        info = odps_client.get_all_partition_info(table, page_size=31, cookie=cookie)
        dfs.append(pd.DataFrame(info))

    df = pd.concat(dfs, ignore_index=True)
    result = df.pivot(index='表名', columns='分区', values='创建时间')
    print(result.to_string())


if __name__ == '__main__':
    _main()
